Test API request with sample data
curl --request POST \
--url https://vanguard.profilebehavior.com/api/v4/test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"ping": "pong"
}'import requests
url = "https://vanguard.profilebehavior.com/api/v4/test"
payload = { "ping": "pong" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ping: 'pong'})
};
fetch('https://vanguard.profilebehavior.com/api/v4/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"data": {
"message": "Test successful",
"bonus": "You'll have to see for yourself!"
},
"status": "success"
}{
"code": 400,
"error": {
"message": "Invalid request body",
"timestamp": "2025-01-01T09:42:52.329056-05:00"
},
"status": "error"
}{
"code": 401,
"error": {
"message": "Invalid token",
"timestamp": "2025-01-01T09:42:52.329056-05:00"
},
"status": "error"
}Endpoints
Test with Body
Validates that your client can send POST requests with JSON bodies to the Profile API. Accepts a ping property for demonstration and troubleshooting purposes.
POST
/
test
Test API request with sample data
Authorizations
M2MOAuth2
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
A fun test property used for validation
Example:
"pong"
Response
Success
Standard response object for successful single-resource requests in the Profile Behavior API. Contains an HTTP status code, the returned resource data, and a status indicator.
Was this page helpful?
⌘I